# NOTE: beta versions are versioned with just new version number,
#       so check URL for final releases
Summary:	Utility that uses sysfs to list SCSI devices and SCSI hosts
Summary(pl.UTF-8):	Narzędzie używające sysfs-a do wypisywania urządzeń i hostów SCSI
Name:		lsscsi
Version:	0.27
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://sg.danny.cz/scsi/%{name}-%{version}.tgz
# Source0-md5:	33ab2927a9e567a47905e6a618c17859
URL:		http://sg.danny.cz/scsi/lsscsi.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The lsscsi command accesses the sysfs file system (usually mounted
under /sys ) to obtain information rather than opening the SCSI device
nodes (e.g. /dev/sda) in the system. Reading information within the
sysfs file system is usually available to all users (as is the
information in procfs). However the permissions on SCSI device nodes
are necessarily tight which precludes normal users from directly
interrogating these devices. The lsscsi command will typically be
available to all users.

%description -l pl.UTF-8
Polecenie lsscsi w celu uzyskania informacji odczytuje system plików
sysfs (zwykle podmontowany pod /sys) zamiast otwierania plików
urządzeń SCSI (np. /dev/sda) w systemie. Odczyt informacji z systemu
plików sysfs jest zwykle dostępny dla wszystkich użytkowników
(podobnie jak informacje w procfs). Jednak uprawnienia do plików
urządzeń SCSI muszą być ograniczone, aby nie pozwolić na bezpośredni
dostęp przez użytkowników do tych urządzeń. Polecenie lsscsi zwykle
jest dostępne dla wszystkich użytkowników.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog README
%attr(755,root,root) %{_bindir}/lsscsi
%{_mandir}/man8/lsscsi.8*
%changelog
* Mon Mar 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lsscsi.git;a=log;h=master

* Mon Mar 24 2014 Jan Rękorajski <baggins@pld-linux.org> 4b8a1dd
- up to 0.27

* Sun Feb 19 2012 Jan Rękorajski <baggins@pld-linux.org> 71382d0
- 0.26

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 7d9fbd3
- regenerate auto*, since missing cries about autoconf and automake anyways

* Fri Aug 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 5739c89
- updated to 0.23

* Thu Apr 16 2009 Elan Ruusamäe <glen@pld-linux.org> 568e998
- release 2

* Mon Feb 09 2009 hawk <hawk@pld-linux.org> 3e86cc0
- uptade to 0.22

* Wed Oct 01 2008 Jakub Bogusz <qboosh@pld-linux.org> cd4e559
- updated URL

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> cc66156
- beta comment

* Thu Jul 10 2008 Jakub Bogusz <qboosh@pld-linux.org> d5efc38
- updated to 0.21 release (more changes for Linux 2.6.26)

* Thu Jul 10 2008 Elan Ruusamäe <glen@pld-linux.org> 673964b
- release 2

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> b383218
- updated to 0.20 release (ready for Linux 2.6.25/2.6.26)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 56473f4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 69743f1
- converted to UTF-8

* Fri Jan 26 2007 Jakub Bogusz <qboosh@pld-linux.org> bc6f009
- updated to 0.19

* Thu Nov 23 2006 Jakub Bogusz <qboosh@pld-linux.org> d4bc141
- now it's 0.18 release (no changes since 20060324 beta)

* Sun Apr 23 2006 Paweł Sikora <pluto@pld-linux.org> d39cdc9
- beta release.

* Sun Apr 23 2006 Paweł Sikora <pluto@pld-linux.org> aba3051
- updated to 0.18.

* Mon Feb 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 877eeb0
- updated to 0.17

* Sun Jan 08 2006 Jakub Bogusz <qboosh@pld-linux.org> d8f362f
- pl

* Fri Dec 30 2005 Paweł Sikora <pluto@pld-linux.org> ee89f6e
- simple utility to list scsi devices and hosts.

